/* This file contains the code for creating a new account, and calling the
necessary file i/o to write it */

void MoneyData::MoneyData_New_account()
{
	  char *answer = (char *)malloc(10);
	  char Expenditure_account[MAX_STRING];
	  char Description[MAX_STRING];
	  float Initial_balance;
	  memcpy(answer, "N", sizeof(answer)); /* Initialize answer */
	  clear();
	  move(3, 5);
	  printw("%s",  "Enter an account number or name that identifies this account");  
	  move(4, 5);
	  printw("%s",  "You can use either, whichever is easier for you to remember.");
	  refresh();

	  /* Check to make sure entered value is what was intended */
	  while((*answer == 'N') || (*answer == 'n')) 
	  {
		move(6, 5);
		printw("%s",  "Please enter an account identifier: ");
		refresh();
		wgetnstr(stdscr, Expenditure_account, MAX_STRING);
	
		if(!strcmp(Expenditure_account, "CANCEL")) {
			delete(answer);
			/* delete(Expenditure_account); */
			Main_Menu();
		}

	    	move(8,5);
		printw("%s %s",  "You entered ", Expenditure_account);
		move(9,5);
		printw("%s",  "Is this correct? ");
		refresh();
		scanw("%s",answer);
		clear();
		refresh();
	  }
	  delete(answer);

	/* Place account name in struct */
	strcpy(account.Account_ID, Expenditure_account);
	/* account.Account_ID = (char *)malloc(80);
	strcpy(account.Account_ID, Expenditure_account); */
	/* strcpy(MoneyDataStruct.account, Expenditure_account); 
	delete(Expenditure_account); */

	clear();
	move(3, 5);
	printw("%s",  "Please enter a short description for the account.");
	move(4, 5);
	printw("%s",  "Please keep the description to 80 characters or less. ");
	move(5, 5);
	printw("%s", ":  ");
	refresh();	
	wgetnstr(stdscr, Description, MAX_STRING);
	
	strcpy(account.Trans_description, Description);
	/* account.Trans_description = (char *)malloc(80);
	strcpy(MoneyDataStruct.Description, Description); 
	strcpy(&account.Trans_description, Description); */

	clear();
	move(3, 5);
	printw("%s", "Please enter the starting balance for this account");
	move(4, 5);
	printw("%s", "$");
	refresh();
	scanw("%f", &Initial_balance);
	MoneyDataStruct.Previous_balance = Initial_balance; 
	account.Trans_amount = Initial_balance;
	account.Trans_type = DEPOSIT;
	
	time(&MoneyDataStruct.Time_stamp);
	time(&account.Time_stamp);
	account.Trans_id = 0; /* Set new account as trans_id 0 */
	
	MoneyData_Write_to_file(NEW);
	MoneyData_Money_DB(NEW, NULL, NULL); 
	return;
}/* End of MoneyData_Expenditure_account definition */

void Create_new_account()
{
	MoneyData NewAccount;
	clear();
	move(3, 5);
	printw("%s",  "You are about to create a new account, ");
	move(4, 5);
	printw("%s",  "enter CANCEL at any time, to return to the Main Menu.");
	refresh();
	sleep(1);
	NewAccount.MoneyData_New_account();
	/* NewAccount.MoneyData_Write_to_file(NEW); */
}
